<div class="container">
    <div class="flex-row layout-align-start-center">
        <mat-icon [routerLink]="['/category']">keyboard_arrow_left</mat-icon>
                <div>Back to list</div>
        </div>
<mat-card>
    <mat-card-content>
<form #categoryForm="ngForm"class="flex-column">
    <div class="flex-row flex layout-align-space-between-center">
        <mat-form-field>
            <input matInput name="categoryName" #categoryNameInput="ngModel" type="text" placeholder="Category Name" [(ngModel)]="categoryData.categoryName" [required]='true'  size="100">
            <mat-error *ngIf="categoryNameInput.errors">
                <div *ngIf="categoryNameInput.errors.required">This field is required</div>
            </mat-error>
        </mat-form-field>
        <img [src]="categoryData.imageUrl" alt="" defaultBookImage=""  height="160" width="160">
    </div>
    <mat-form-field>
        <input matInput name="categoryDescription" #categoryDescriptionInput="ngModel" type="text" placeholder="Description" [(ngModel)]="categoryData.description" [required]='true' [minlength]="5" size="100">
        <mat-error *ngIf="categoryDescriptionInput.errors">
            <div *ngIf="categoryDescriptionInput.errors.required">This field is required</div>
            <div *ngIf="categoryDescriptionInput.errors.minlength">Minimum 5 characters are allowed</div>
        </mat-error>
    </mat-form-field>
    <mat-form-field>
        <input matInput name="categoryImage" #imageInput="ngModel" type="text" placeholder="Category Image"  [(ngModel)]="categoryData.imageUrl" [required]="true">
        <mat-error *ngIf="imageInput.errors">
            <div *ngIf="imageInput.errors.required">This field is required</div>
        </mat-error>
    </mat-form-field>
    <mat-form-field>
        <mat-select placeholder="Select Books" name="bookList" #idListInput="ngModel" [(ngModel)]="categoryData.idList" multiple>
          <mat-option *ngFor="let book of bookData" [value]="book._id">{{ book.bookName }}</mat-option>
        </mat-select>
    </mat-form-field>
    <div>
        <button type="button" mat-raised-button color="primary" (click)="onSubmitClick(categoryForm)"
        [disabled]="categoryForm.invalid" [routerLink]="['/category']">Submit</button>
    </div>
</form>
</mat-card-content>
</mat-card>
</div>
